# Copyright 2014, 2016, 2019, 2021 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

l10n(){
  local word
  [ $# -eq 0 ] && read -r word || word="$*"
  case $word in
    PHOTO) printf %s "Foto";;
    LOGO) printf %s "Logo";;
    FN) printf %s "Voller Name";;
    N) printf %s "Name";;
    n_pre) printf %s "Titel";;
    n_first) printf %s "Vorname";;
    n_middle) printf %s "Mittel&shy;namen";;
    n_last) printf %s "Nachname";;
    n_post) printf %s "Zusätze";;
    NICKNAME) printf %s "Spitz&shy;name";;
    SOUND) printf %s "Aus&shy;sprache";;
    GENDER) printf %s "Ge&shy;schlecht";;
    KIND) printf %s "Typ";;
    TITLE) printf %s "Beruf";;
    ROLE) printf %s "Position";;
    ORG) printf %s "Orga&shy;ni&shy;sation";;
    MEMBER) printf %s "Mitglied";;
    CATEGORIES) printf %s "Kategorien";;
    ANNIVERSARY) printf %s "Jubiläum";;
    BDAY) printf %s "Geburtstag";;
    EMAIL) printf %s "E-Mail";;
    TEL) printf %s "Telefon";;
    teltype) printf %s "Anschluss&shy;typ:";;
    TYPE=HOME) printf %s "Privat";;
    TYPE=WORK) printf %s "Geschäft&shy;lich";;
    TYPE=CELL) printf %s "Mobil";;
    TYPE=FAX) printf %s "Fax";;
    IMPP) printf %s "Chat";;
    ADR) printf %s "Anschrift";;
    URL) printf %s "Webseite";;
    LANG) printf %s "Sprache";;
    NOTE) printf %s "Notiz";;
  
    RELATED) printf %s "Kontakte";;
  
    BEGIN) printf %s "";;
    CALADRURI) printf %s "";;
    CALURI) printf %s "";;
    CLASS) printf %s "";;
    CLIENTPIDMAP) printf %s "";;
    END) printf %s "";;
    FBURL) printf %s "";;
    GEO) printf %s "";;
    MAILER) printf %s "";;
    NAME) printf %s "";;
    PRODID) printf %s "";;
    PROFILE) printf %s "";;
    REV) printf %s "";;
    SORT-STRING) printf %s "";;
    SOURCE) printf %s "";;
    TZ) printf %s "";;
    UID) printf %s "";;
    VERSION) printf %s "";;
    XML) printf %s "";;
  
    X-HEALTH-INSURANCE) printf %s "Kran&shy;ken&shy;ver&shy;sich&shy;er&shy;ung";;
    hi_from_list) printf %s "Aus Liste";;
    hi_other) printf %s "Andere";;
    hi_company) printf %s "Ver&shy;sich&shy;er&shy;ungs&shy;ge&shy;sell&shy;schaft";;
    hi_number) printf %s "Ver&shy;sich&shy;er&shy;ten&shy;num&shy;mer";;
    hi_status) printf %s "Ver&shy;sich&shy;er&shy;ten&shy;sta&shy;tus";;
    X-HEALTH-INSURANCE-NOCONTRIB) printf %s "Zu&shy;zahl&shy;ungs&shy;be&shy;frei&shy;ung";;
    X-CLIENT-REFERRAL) printf %s "Empfehl&shy;ung durch";;
    prescriptions) printf %s "Verord&shy;nungen";;
    new_prescription) printf %s "Neue Verord&shy;nung";;
    no_icd) printf %s "Kein ICD Code";;
  
    X-ZACK-JOINDATE)  printf %s "Anmelde&shy;datum";;
    X-ZACK-LEAVEDATE) printf %s "Abmelde&shy;datum";;
    X-ZACK-JOINDATE_short)  printf %s "Anm.";;
    X-ZACK-LEAVEDATE_short) printf %s "Abm.";;
  
    edit) printf %s "Bearbeiten";;
    edit_categories) printf %s "Kategorien Bearbeiten";;
    vcf_export) printf %s "Vcard Exportieren";;
    control) printf %s "Aktionen";;
    delete) printf %s "entfernen";;
    edit_update) printf %s "Daten übernehmen";;
    edit_cancel) printf %s "Abbrechen";;
    edit_delete) printf %s "Eintrag löschen";;
    edit_addfieldtext) printf %s "Neues Feld";;
    edit_addfield) printf %s "+";;
    edit_deletefield) printf %s "X";;
    filter_label) printf %s "Filter";;
    filter_placeholder) printf %s "Begriffe zur Eingrenzung eingeben";;
    filter_type) printf %s "Filtertyp";;
    filter_order) printf %s "Sortierung";;
    filter_any) printf %s "Alles";;
    filter_name) printf %s "Name";;
    filter_firstname) printf %s "Vorname";;
    filter_lastname) printf %s "Nachname";;
    filter_street) printf %s "Straße";;
    filter_zip) printf %s "PLZ.";;
    filter_TEL) printf %s "Telefon";;
    filter_BDAY) printf %s "Geburts&shy;jahr";;
    filter_bdate) printf %s "Geburts&shy;datum";;
    filter_course) printf %s "Kurs";;
    filter_CATEGORIES) printf %s "Kategorien";;
    filter_apply) printf %s "Filtern";;
    filter_cancel) printf %s "Filter löschen";;
    newcard) printf %s "Neuen Eintrag anlegen";;
    course_attendance) printf %s "Kurs&shy;teil&shy;nahme";;
  
    gender_none) printf %s "keine Angabe";;
    gender_female) printf %s "Weiblich";;
    gender_male) printf %s "Männlich";;
    gender_other) printf %s "Sonstiges";;
  
    female) printf %s "&#x2640;";;
    male) printf %s "&#x2642;";;
    other) printf %s "&#x26A5;";;
    none) printf %s "&#x26AA;";;

    *) printf %s "$word";;
  esac
}

